PoolType.Server (Apache Geode 1.10.0)
Date: 2019-09-19

org.apache.geode.cache.configuration

## Class PoolType.Server

- java.lang.Object
- - org.apache.geode.cache.configuration.PoolType.Server

- Enclosing class:
    PoolType

      public static class PoolType.Server
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `host`
    `protected String` | `port`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Server()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()` Gets the value of the host property.
    `String` | `getPort()` Gets the value of the port property.
    `void` | `setHost(String value)` Sets the value of the host property.
    `void` | `setPort(String value)` Sets the value of the port property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### host

          protected String host

    - #### port

          protected String port

  - ### Constructor Detail

    - #### Server

          public Server()

  - ### Method Detail

    - #### getHost

          public String getHost()

      Gets the value of the host property. possible object is `String`

    - #### setHost

          public void setHost(String value)

      Sets the value of the host property. allowed object is `String`

    - #### getPort

          public String getPort()

      Gets the value of the port property. possible object is `String`

    - #### setPort

          public void setPort(String value)

      Sets the value of the port property. allowed object is `String`